package com.alibaba.cloud.security.sample.params.password;

import com.alibaba.cloud.security.sample.params.BaseResponse;
import io.swagger.annotations.ApiModelProperty;

import java.util.Map;

public class CheckPasswordResponse extends BaseResponse {

    @ApiModelProperty(value = "SHA1(password) and leak count pair map", example = "7C4A8D09CA3762AF61E59520943DC26494F8941B -> 100")
    private Map<String, Long> passwordSha1CountMap;

    public Map<String, Long> getPasswordSha1CountMap() {
        return passwordSha1CountMap;
    }

    public void setPasswordSha1CountMap(Map<String, Long> passwordSha1CountMap) {
        this.passwordSha1CountMap = passwordSha1CountMap;
    }
}
