package com.alibaba.cloud.security.sample.params.simpleuser;

import com.alibaba.cloud.security.sample.params.BaseResponse;
import io.swagger.annotations.ApiModelProperty;

public class QueryUserResponse extends BaseResponse {
    @ApiModelProperty("User id")
    private String userId;
    @ApiModelProperty("Has user registered WebAuthn device")
    private Boolean registeredWebAuthn;
    @ApiModelProperty("Has user open TOTP")
    private Boolean isOpenTotp;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Boolean getRegisteredWebAuthn() {
        return registeredWebAuthn;
    }

    public void setRegisteredWebAuthn(Boolean registeredWebAuthn) {
        this.registeredWebAuthn = registeredWebAuthn;
    }

    public Boolean getOpenTotp() {
        return isOpenTotp;
    }

    public void setOpenTotp(Boolean openTotp) {
        isOpenTotp = openTotp;
    }
}
