package com.alibaba.cloud.security.sample.web;

import org.apache.commons.io.IOUtils;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.PostConstruct;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.nio.charset.StandardCharsets;

@ApiIgnore
@Controller
@RequestMapping("/")
public class RootController {

    String beian = "";

    @ResponseBody
    @RequestMapping(value = "/beian", method = RequestMethod.GET)
    public String beian() throws Exception {
        return beian;
    }

    @RequestMapping(value = "/", method = RequestMethod.GET)
    public void root(HttpServletResponse httpServletResponse) throws IOException {
        httpServletResponse.sendRedirect("/static/index.htm");
    }

    // TODO 临地时解决方案，部署时动态指定备案信息，不能来源于用户，必须是静态的不然会有XSS风险
    @PostConstruct
    public void initController() {
        File beianFile = new File("beian.foot.htm");
        if (beianFile.exists()) {
            try (InputStream fis = new FileInputStream(beianFile)) {
                beian = IOUtils.toString(fis, StandardCharsets.UTF_8);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }
}
